using System;
using System.Collections.Generic;
using System.Net.NetworkInformation;

internal sealed class Delegate319 : MulticastDelegate
{
	public extern IEnumerator<UnicastIPAddressInformation> Invoke(object object_0);

	public static IEnumerator<UnicastIPAddressInformation> smethod_0(object object_0, Delegate319 delegate319_1)
	{
		return delegate319_1(object_0);
	}

	public extern Delegate319(object object_0, IntPtr intptr_0);

	static Delegate319()
	{
		Class10.smethod_13(typeof(Delegate319).TypeHandle);
	}

	internal static Delegate319 delegate319_0;
}
